# Class OptionsCellComponent

#### Implements

- AfterContentInit
- OnDestroy
- OnChanges

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:31

#####
Index

### Constructors

constructor

### Properties

defaultViewValue
emptyViewValue
options
value
viewValue

### Methods

getViewValue
ngAfterContentInit
ngOnChanges
ngOnDestroy
setViewValue

##
Constructors

### constructor

- new OptionsCellComponent(renderer: Renderer2): OptionsCellComponent

  #### Parameters

  - renderer: Renderer2

  #### Returns OptionsCellComponent

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:49

##
Properties

### defaultViewValue

defaultViewValue: string

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:37

### emptyViewValue

emptyViewValue: string

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:41

### options

options: QueryList<MatOption<any>>

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:55

### value

value: any

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:33

### viewValue

viewValue: string

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:43

##
Methods

### getViewValue

- getViewValue(): string

  #### Returns string

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:92

### ngAfterContentInit

- ngAfterContentInit(): void

  A callback method that is invoked immediately after Angular has completed initialization of all of the directive's content. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of AfterContentInit.ngAfterContentInit

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:57

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

  A callback method that is invoked immediately after the default change detector has checked data-bound properties if at least one has changed, and before the view and content children are checked.

  #### Parameters

  - changes: SimpleChanges

    The changed properties.

  #### Returns void

  Implementation of OnChanges.ngOnChanges

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:84

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:99

### setViewValue

- setViewValue(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:67